%define xforms_static 0 
%define system_libsig 0 
%define xforms_ver 0.89
%{!?_applnkdir:%define _applnkdir %{_sysconfdir}/X11/applnk}
%{!?_icondir:%define _icondir %{_datadir}/pixmaps}

Summary:	A WYSIWYM (What You See Is What You Mean) frontend to LaTeX
Name:		lyx
Version: 	1.2.1
Release: 	1.0
License: 	see COPYING file
Group: 		X11/Editors
Url: 		http://www.lyx.org/
#Packager: Kayvan A. Sylvan <kayvan@sylvan.com>
Source:		ftp://ftp.lyx.org/pub/lyx/stable/lyx-%{PACKAGE_VERSION}.tar.gz
Patch1:		%{name}-1.2.1-libsigc.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Prefix: 	%{_prefix}
#This is for XFree3 only
#BuildRequires: xpm-devel
BuildRequires:  xforms-devel = %xforms_ver
%if %{xforms_static}
BuildRequires:  xforms-static = %xforms_ver
%else
Requires:       xforms = %xforms_ver
%endif
%if %{system_libsig}
Requires:       libsigc++ >= 1.0.1
BuildRequires:  libsigc++-devel >= 1.0.1
%endif
Obsoletes: tetex-lyx lyx-tetex


%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q

%if %{system_libsig}
%patch1 -p1 -b .sigc
%endif

%build
unset LINGUAS || true
ISTRING=--with-included-string
if gcc -v 2>&1 | grep -e "version 3.\(1\|2\)"; then ISTRING=; fi

%configure $ISTRING \
	%{?_with_version-suffix} \
	--with-pspell \
	%{!?system_libsig:--without-included-libsigc}

# LYX_LIBS="-Wl,-Bstatic -lforms -Wl,-Bdynamic -lXpm"
make %{_smp_mflags}

%install
unset LINGUAS || true

make DESTDIR=${RPM_BUILD_ROOT} install

#
# Set up the lyx-specific class files where TeX can see them
#
TEXMF=%{_datadir}/texmf
mkdir -p ${RPM_BUILD_ROOT}${TEXMF}/tex/latex
mv ${RPM_BUILD_ROOT}%{_datadir}/lyx%{?_with_version-suffix:-%{version}}/tex \
      ${RPM_BUILD_ROOT}/${TEXMF}/tex/latex/lyx

#
# Miscellaneous files
#
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=%{name} %{version}
Exec=%{name}
Icon=%{name}
MimeType=
Type=Application
Encoding=UTF-8
EOF

install -D %{name}.desktop      $RPM_BUILD_ROOT/%{_applnkdir}/Applications/%{name}.desktop
install -D lib/images/lyx.xpm   $RPM_BUILD_ROOT/%{_icondir}/lyx.xpm

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
# Make TeX understand where LyX-specific packages are
texhash >& /dev/null

#
# Now configure LyX
#
# echo "Configuring LyX for your system..."
cd %{_datadir}/lyx%{?_with_version-suffix:-%{version}}
./configure --srcdir >& /dev/null

# Fix reLyX perl program if the prefix is non-standard
if [ "%{_prefix}" != "/usr" ]
then
    perl -pi -e "s!/usr/share/lyx%{?_with_version-suffix:-%{version}}!%{_datadir}/lyx%{?_with_version-suffix:-%{version}}!" \
        %{_bindir}/reLyX
fi

%postun
# Fix the TeX file hash
#
texhash >& /dev/null

%files -f %{name}.lang
%defattr(-,root,root)
%{_applnkdir}/*/*
%{_datadir}/pixmaps/*
%doc ABOUT-NLS ANNOUNCE COPYING 
%doc README UPGRADING ChangeLog NEWS
%doc lib/CREDITS README.reLyX
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}%{?_with_version-suffix:-%{version}}
%{_datadir}/texmf/tex/latex/%{name}

%changelog 
* Fri Sep 13 2002 Rex Dieter <rdieter@unl.edu> 1.2.1-1.0
- 1.2.1 (starting with src.rpm from lyx.org)
- TODO: play with --with-version-suffix

* Mon Jan 22 2002 Rex Dieter <rdieter@math.unl.edu> 1.1.6fix4-0
- Requires: xforms = 0.89
- update to 1.1.6fix4

